ParserConfiguration (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.parser
Class ParserConfiguration

    java.lang.Object
      org.maltparser.parser.ParserConfiguration

Direct Known Subclasses:
  CovingtonConfig, NivreConfig, PlanarConfig, StackConfig, TwoPlanarConfig

    public abstract class ParserConfiguration

extends Object

Author:
  Johan Hall

Field Summary
`protected HistoryNode` | `historyNode`

Constructor Summary
`ParserConfiguration()` Creates a parser configuration

Method Summary
`abstract void` | `clear()` Clears the parser configuration
`abstract DependencyStructure` | `getDependencyGraph()` Returns the dependency structure
`HistoryNode` | `getHistoryNode()`
`abstract void` | `initialize(ParserConfiguration config)` Initialize the parser configuration with the same state as the parameter config
`abstract boolean` | `isTerminalState()` Returns true if the parser configuration is in a terminal state, otherwise false.
`abstract void` | `setDependencyGraph(DependencyStructure dependencyStructure)` Sets the dependency structure
`void` | `setHistoryNode(HistoryNode historyNode)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### historyNode

    protected HistoryNode historyNode

Constructor Detail

### ParserConfiguration

    public ParserConfiguration()

  Creates a parser configuration

Method Detail

### getHistoryNode

    public HistoryNode getHistoryNode()

### setHistoryNode

    public void setHistoryNode(HistoryNode historyNode)

### setDependencyGraph

    public abstract void setDependencyGraph(DependencyStructure dependencyStructure)
                                     throws MaltChainedException

  Sets the dependency structure

  Parameters:
    `dependencyStructure` - a dependency structure
  Throws:
    `MaltChainedException`

### isTerminalState

    public abstract boolean isTerminalState()
                                     throws MaltChainedException

  Returns true if the parser configuration is in a terminal state, otherwise false.

  Returns:
    true if the parser configuration is in a terminal state, otherwise false.
  Throws:
    `MaltChainedException`

### getDependencyGraph

    public abstract DependencyStructure getDependencyGraph()

  Returns the dependency structure

  Returns:
    the dependency structure

### clear

    public abstract void clear()
                        throws MaltChainedException

  Clears the parser configuration

  Throws:
    `MaltChainedException`

### initialize

    public abstract void initialize(ParserConfiguration config)
                             throws MaltChainedException

  Initialize the parser configuration with the same state as the parameter config

  Parameters:
    `config` - a parser configuration
  Throws:
    `MaltChainedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.